public enum DayOfWeek {
	MONDAY, TUESDAY, WEDNESDAY, THURSDAY, 
	FRIDAY, SATURDAY, SUNDAY;

	public int nrInWeek() {
		return this.ordinal() + 1;
	}//nrInWeek

	public DayOfWeek tomorrow() {
		DayOfWeek[] days = DayOfWeek.values();
		return days[(this.ordinal() + 1) % days.length];
	}//tomorrow

	public DayOfWeek yesterday() {
		DayOfWeek[] days = DayOfWeek.values();
		return days[(this.ordinal() - 1) % days.length];
	}//yesterday

	public static DayOfWeek getDayWithNr(int dayNr) {
		DayOfWeek[] days = DayOfWeek.values();
		return days[dayNr - 1];
	}//getDayWithNr
}//DayOfWeek
